Error
A valid request URL is required to generate request examples{
"success": true,
"message": "Deposit status retrieved.",
"data": {
"id": "<string>",
"amount": 123,
"wallet_id": "<string>",
"reference_id": "<string>",
"status": "PENDING",
"reference_number": 123,
"created_at": "2023-11-07T05:31:56Z",
"transaction_cost": 123,
"transaction_amount": 123,
"customer_key": "<string>",
"callback_url": "<string>",
"customer_redirect_url": "<string>",
"customer_id_number": "<string>",
"currency": "<string>",
"provider": "<string>",
"providerReference": "<string>",
"providerRequest": "<string>",
"providerResponse": "<string>",
"callbackUrlStatus": 123,
"callbackResponse": "<string>",
"callbackPayload": {},
"transactionError": "<string>",
"retries": 123,
"network": "<string>",
"environment": "<string>",
"integratorsAmount": 123,
"customer": {},
"paymentLinkTransaction": {},
"updatedAt": "<string>",
"confirmation_id": "<string>",
"threeDSEci": "<string>",
"uniqueIdentifier": "<string>",
"initialDepositBalance": 123,
"finalDepositBalance": 123,
"error_message": "<string>",
"error_code": "<string>",
"error_description": "<string>",
"telco_id": "<string>",
"bank_name": "<string>",
"bank_code": "<string>",
"payment_brand": "<string>",
"checkout_payment_method": "<string>",
"bank_checkout_reference": "<string>"
}
}{
"success": false,
"message": "Bad Request",
"data": {}
}{
"success": false,
"message": "Unauthorized",
"data": {}
}{
"success": false,
"message": "Transaction not found",
"data": {}
}Mobile Money Deposits
Get Deposit Mobile Money Status
An integrator can use this endpoint to check the status of a deposit
GET
/
api
/
v3
/
deposit
/
mobile-money
/
status
/
{reference_id}
Error
A valid request URL is required to generate request examples{
"success": true,
"message": "Deposit status retrieved.",
"data": {
"id": "<string>",
"amount": 123,
"wallet_id": "<string>",
"reference_id": "<string>",
"status": "PENDING",
"reference_number": 123,
"created_at": "2023-11-07T05:31:56Z",
"transaction_cost": 123,
"transaction_amount": 123,
"customer_key": "<string>",
"callback_url": "<string>",
"customer_redirect_url": "<string>",
"customer_id_number": "<string>",
"currency": "<string>",
"provider": "<string>",
"providerReference": "<string>",
"providerRequest": "<string>",
"providerResponse": "<string>",
"callbackUrlStatus": 123,
"callbackResponse": "<string>",
"callbackPayload": {},
"transactionError": "<string>",
"retries": 123,
"network": "<string>",
"environment": "<string>",
"integratorsAmount": 123,
"customer": {},
"paymentLinkTransaction": {},
"updatedAt": "<string>",
"confirmation_id": "<string>",
"threeDSEci": "<string>",
"uniqueIdentifier": "<string>",
"initialDepositBalance": 123,
"finalDepositBalance": 123,
"error_message": "<string>",
"error_code": "<string>",
"error_description": "<string>",
"telco_id": "<string>",
"bank_name": "<string>",
"bank_code": "<string>",
"payment_brand": "<string>",
"checkout_payment_method": "<string>",
"bank_checkout_reference": "<string>"
}
}{
"success": false,
"message": "Bad Request",
"data": {}
}{
"success": false,
"message": "Unauthorized",
"data": {}
}{
"success": false,
"message": "Transaction not found",
"data": {}
}An integrator can use this endpoint to check the status of a mobile money deposit transaction.
The
reference_id path parameter accepts either the Kotani platform reference ID or the telco/MNO transaction ID — whichever is available.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Kotani reference ID for the transaction
Example:
"KOTANI-REF-789"